Ticket #1766 (closed defect: fixed)

Opened 6 years ago

Last modified 6 years ago

[GSM Signal] no signal, can't make phone call but can receive calls

Reported by: dexteruk Owned by: erin_yueh
Priority: high Milestone:
Component: Qtopia Version: Om2008.8
Severity: normal Keywords: GSM Antenna Signal,Om2008.11
Cc: wilk, erl, testing@… Blocked By:
Blocking: Estimated Completion (week):
HasPatchForReview: no PatchReviewResult:
Reproducible: sometimes

Description

Version : 200808081625

The signal indicator shows there is no signal with * and one bar. When trying to make calls you get the following message.

No phone call is possible. Responds GSM Phone is not registering. No Network.

However i can receive calls with no problems but unable to receive SMS messages. In version 20080806 it would take a min or so to set-up the phone correctly but i could make and receive calls.

Attachments

cant-make-calls-2008.8.txt (11.5 KB) - added by hedora 6 years ago.
om200808_network (43.7 KB) - added by KenSentMe 6 years ago.
Logread after pin, incoming call and suspend, incoming, send busy and actually getting network signal
installed.txt (40.3 KB) - added by wilk 6 years ago.
logread.txt (47.2 KB) - added by wilk 6 years ago.
logread_nosuspend (63.0 KB) - added by KenSentMe 6 years ago.
Logread without suspend, just starting the phone with Zecke packages
logread_suspend (71.3 KB) - added by KenSentMe 6 years ago.
Logread with pin, suspend, call in and call out with Zecke repo
longlogread.txt (47.5 KB) - added by wilk 6 years ago.
forgot to remove some personal data…
logread_friede (64.9 KB) - added by KenSentMe 6 years ago.
Logread after suggestion by friede. Calling seems to work now!
logread_friedefix.txt (56.9 KB) - added by wilk 6 years ago.
logread with friede fix proposal. Registration ok but most calls fail.
libficgta01vendor.so (112.5 KB) - added by Treviño 6 years ago.
Fixed libficgta01vendor.so - attached for testing purposes
logread.2.txt (63.9 KB) - added by Yorick 6 years ago.
logread 2008.8-upgraded
list_installed.txt (46.2 KB) - added by Yorick 6 years ago.
list_installed 2008.8-upgrade
logread_no_openmoko-dialer2.txt (64.0 KB) - added by Yorick 6 years ago.
logread 2008.8 only qtopia-dialer
list_installed_no_openmoko-dialer2.txt (46.2 KB) - added by Yorick 6 years ago.
list_installed 2008.8 only qtopia-dialer
logread_dan.txt (57.7 KB) - added by dan 6 years ago.

Change History

comment:1 Changed 6 years ago by dexteruk

  • Version changed from GTA02v1 to GTA02v3

comment:2 Changed 6 years ago by dexteruk

Using the Qtopia phonenetworks i checked the Current Status it shows the operator but the Registration Status = Not Registered. But still the phone is receiving calls.

comment:3 Changed 6 years ago by zecke

  • Status changed from new to assigned
  • Owner changed from openmoko-kernel to openmoko-devel
  • Version changed from GTA02v3 to GTA02v6
  • Component changed from System Software to unknown
  • Milestone OM-2008.8 deleted

Remove the milestone, Changed the hardware version, you are unlikely to have a GTA02v1 and GTA02v3. It is not a kernel bug, so assigning it somewhere else.

Which image do you use (URL)? The Trolltech Qtopia image? The ASU OM2008.8 image?

comment:4 follow-up: ↓ 5 Changed 6 years ago by madjo

How do I figure out if I have the GTA2v3 or 1?

I flashed my Neo Freerunner (that I bought via pulster.de) to the 2008.8 images that was linked on the wiki page of OM 2008.8 (I retrieved them on Friday 08/08/2008), and I have the same problem as mentioned in the write up.
I get asked to enter my pin. I do so, and it's accepted. But then I let the device wait for about 30 minutes, but it never picks up a network with 2008.8, whereas 2007.02 picked up a network almost immediately after entering my PIN.
I can reproduce this every time I start up the phone with a SIM in it.

I have yet to try whether I can receive calls. I doubt that I can, but I will try it.

comment:5 in reply to: ↑ 4 Changed 6 years ago by madjo

Replying to madjo:

How do I figure out if I have the GTA2v3 or 1?

That was just a joke. Of course I know I either have v5 or v6. (I think v5)

comment:6 Changed 6 years ago by dexteruk

I am using the ASU OM2008.8 image

I got the hardware version from /proc/cpuinfo

Hardware : GTA02
Revision : 0350
Serial : 0000000000000000

As this was the only place i could find any information regarding the version.

comment:7 follow-up: ↓ 8 Changed 6 years ago by zecke

  • Status changed from assigned to accepted
  • Owner changed from openmoko-devel to zecke

It is likely the same issue as #1765 (No PIN dialog). The QAtChat can get confused due the wakeup command generating a response that is not ignored.

comment:8 in reply to: ↑ 7 ; follow-up: ↓ 9 Changed 6 years ago by olberger

Replying to zecke:

It is likely the same issue as #1765 (No PIN dialog).

???

You closed that one... and in #comment:5 is reported that the pin dialog gets asked... I don't understand you here :(

Anyway, I have the same symptoms even if I was prompted for the pin and typed in OK.
Apparently it got connected to my provider though, if I understand that (logread) :
Aug 11 00:03:19 om-gta02 user.notice root: AtChat? : T : "AT+COPS?"
Aug 11 00:03:19 om-gta02 user.notice root: AtChat? : F : "+COPS: 0,0,"Orange F""
it detected that I'm on Orange...

Hope this helps,

comment:9 in reply to: ↑ 8 Changed 6 years ago by olberger

Replying to olberger:

Anyway, I have the same symptoms even if I was prompted for the pin and typed in OK.
Apparently it got connected to my provider though, if I understand that (logread) :
Aug 11 00:03:19 om-gta02 user.notice root: AtChat? : T : "AT+COPS?"
Aug 11 00:03:19 om-gta02 user.notice root: AtChat? : F : "+COPS: 0,0,"Orange F""
it detected that I'm on Orange...

Ah, and forgot : cannot place calls, but can receive calls.

Regards,

comment:10 Changed 6 years ago by olberger

After suspending, I tested a call to the phone, which got woken up, and I responded.

After that, I noticed that the signal indicator was displaying several bars. And then I could place an outgoing call...

Maybe suspending/receiving a call restores proper behaviour ? may be a workaround.

comment:11 Changed 6 years ago by queen6

  • Component changed from unknown to Assassin
  • Severity changed from critical to blocker

It is kernel related somehow. I've flashed kernel + modules from buildhost.openmoko.org (dev branch?) and the phone works well with 2008.8

comment:12 Changed 6 years ago by wilk

  • Cc wilk added

comment:13 follow-up: ↓ 17 Changed 6 years ago by zecke

  • Component changed from Assassin to Qtopia
  • Severity changed from blocker to normal

This issue is highly timing related, it depends on how fast qdsync is getting started... and other startup services. A testing package should be available in a while.

Also please do not play with component and severity.

comment:14 Changed 6 years ago by erl

  • Cc erl added

comment:15 Changed 6 years ago by wilk

Same here : I can enter the PIN Code, it's accepted (I can read the addressbook on the SIM) but the phone won't register although it can receive calls. Only once did it register, in less than a minute surprisingly. I hadn't done anything special though.

comment:16 Changed 6 years ago by sonicated

queen6, can you tell me exactly which kernel you used from buildhost.openmoko.org to fix this?

comment:17 in reply to: ↑ 13 Changed 6 years ago by erl

Replying to zecke:

Also please do not play with component and severity.

This bug (Om2008.8 not registering with the GSM network) is preventing me from using this distribution as my regular phone. I'm surprised that bugs which prevent basic phone functionality are not marked as critical or blocker.

What are your definitions of the severities?

I'm also interested in which kernel + modules solves these problems.

comment:18 Changed 6 years ago by madjo

It's a blocking for me as well. I still can't use my phone as a phone, unless I revert back to 2007.2. I'd say it's pretty critical.

comment:19 Changed 6 years ago by jurg

after suspending/resuming the gsm signal indicator shows some signal, allowing me to place calls and send sms'.

(i do not (yet) expect a fully functioning phone with this distribution, and i am very enthusiastic about some of the interface features in om2008.8. but for the moment i switched to qtopia and use my freerunner as my regular phone. i miss a lot of functionality i would like to experiment with, and later develop for. so either qtopia adds the features i am waiting for and/or becomes a major platform for app development or om2008.8 delivers on its promises...)

comment:20 Changed 6 years ago by dexteruk

What is the command you used to stop and restart the signal indicator?

comment:21 Changed 6 years ago by leo.studer

I am experiencing this bug too

comment:22 Changed 6 years ago by zecke

  • Status changed from accepted to in_testing

Okay what about this from http://people.openmoko.org/zecke/qtopia-testing/ to your feed and trying the Qtopia packages?

Also make sure opkg list_installed | grep gsmd | wc -l says 0.

comment:23 Changed 6 years ago by zecke

And now with some more verbs in the sentence. :)

Okay what about adding this http://people.openmoko.org/zecke/qtopia-testing/ to your feed config and trying the upgraded Qtopia packages?

Also make sure opkg list_installed | grep gsmd | wc -l says 0.

comment:24 follow-up: ↓ 25 Changed 6 years ago by hedora

I've never been able to make phone calls with qtopia or 2008.8, so I tried the updated packages. They didn't make much difference.

Here are logs associated with doing the following under a more-or-less fresh 2008.8 with updates from:

http://people.openmoko.org/~zecke/om2008.8-testing/

Here is what happens:

dial *123 (voicemail)
dialer waits a few seconds, exits (crashes?)
a few minutes later, i get an empty SMS from the number "129".

This could be a different bug than the one mentioned by people above. If it is, say so, and I'll open a new bug.

However, it takes my phone an unusually long time to get a network connection (1 minute?), and the connection strength wildly fluctuates shortly after boot. I've gotten the "no gsm network" message twice while this was happening. I don't see any of these problems on FSO or 2007.2. I do see it on the qtopia images.

Attached is the output of logread, starting roughly where I attempted to dial.

Changed 6 years ago by hedora

comment:25 in reply to: ↑ 24 Changed 6 years ago by zecke

Replying to hedora:

I've never been able to make phone calls with qtopia or 2008.8, so I tried the updated packages. They didn't make much difference.

Well, what about trying a real number? *123 fails with "NO CARRIER" and this makes the callscreen go away...

comment:26 Changed 6 years ago by hedora

Actually, I don't think I've ever tried a real number w/ the qtopia dialer.

However, I've never had a problem with *123 on the other images. That's my voicemail box, so it's a pretty important number...

I just reflashed the phone to FSO. Any idea how to get the GSM modem logs out of it to see what 2008.8 is doing differently? They're not in logread or /tmp/x.log.

Will reflash to 2008.8 + test w/ a real number.

comment:27 Changed 6 years ago by hedora

Dialing a number that doesn't start with * works. Opened new bug: #1832

-Rusty

comment:28 Changed 6 years ago by wendy_hung

  • Cc testing@… added
  • Status changed from in_testing to assigned
  • Summary changed from GSM Antenna Signal to [GSM Signal] no signal, can't make phone call but can receive calls

kernel:20080808-asu.stable-uImage.bin
root file system:20080814-asu.stable-rootfs.jffs2

Only one phone get signal (with "have signal" icon)after new flash.
Others still show up * with one bar, can't make a phone call (with alert message)but can get phone calls.
Try to call the neo while it's suspend, incoming call--> wake up & ringing--> answer/send busy --> check the icon --> with signal --> call out --> works!

comment:29 Changed 6 years ago by KenSentMe

I installed a fresh 2008.8 image, added the feed from Zecke, updated and upgraded. So far with little positive result, i still have only one bar network and get the same error when trying to make a call, even when trying the above options.

I once got more then one bar signal strength and managed to make a call, but there was no apparent thing i did.

comment:30 Changed 6 years ago by KenSentMe

Update. It seems that after doing the things wendy_hung mentioned if had to wait a while (several minutes) before being able to make phonecalls.

comment:31 Changed 6 years ago by madjo

added the feed from Zecke, updated and upgraded. But still no way of outgoing calls.
Incoming calls do work, but it takes a little while before the actual dialog appears and the line is picked up.
But after that incoming call, I tried to call back, still the same error message about the phone not being registered.

comment:32 Changed 6 years ago by zecke

Okay, output of "opkg list_installed" and logread. For logread do it after entering the PIN (well replace that with XXX), censor contacts and SMS, make sure the device is not suspended meanwhile and wait a minute or such until entering the pin to execute logread. Attach both to this bug.

comment:33 Changed 6 years ago by zecke

  • Version changed from GTA02v6 to Om2008.8

Changed 6 years ago by KenSentMe

Logread after pin, incoming call and suspend, incoming, send busy and actually getting network signal

comment:34 Changed 6 years ago by catholicon

I still have this issue on OM2008.8 with zecke's testing feeds. Today there were lots of kernel module updates but this one still didn't work out.
I don't get the signal bars even after suspend and then resume-on-call.

Ticket number 1801 (duplicate of this) has a copy of AtChat? logs.

As an aside, how do I add myself to CC of this ticket?

comment:35 Changed 6 years ago by wilk

As I recall, there was a check button when I did it : you just need to be logged on to see it.

comment:36 follow-up: ↓ 38 Changed 6 years ago by wilk

Latest update : after an upgrade from qtopia-testing :

  • not registered after entering pin code
  • put phone in suspend
  • call phone : phone rings
  • phone is registered

A strange thing though. I called my land line from the Freerunner, hang up the Freerunner without picking up the land phone but it wouldn't stop ringing even though the dialing application was closed on the Freerunner.

comment:37 Changed 6 years ago by wilk

I also tried another ASU image from Raster (available here http://download.enlightenment.org/misc/)

Same problems...

Also I noticed that the "suspend trick" doesn't work everytime and I also could get the phone registered after a call received with it was awake, and even once without any call received. To summarize :

Most of the time (more than 9 out of 10) you can't get the phone registered after the PIN code is entered but you can always receive calls. Receiving a call improve your odds to be registered after the call, and receiving the call while in suspend mode seems to make you a little luckier.

It should add that I don't experience any problem with the Qtopia image.

comment:38 in reply to: ↑ 36 Changed 6 years ago by zecke

Replying to wilk:

Latest update : after an upgrade from qtopia-testing :

  • not registered after entering pin code
  • put phone in suspend
  • call phone : phone rings
  • phone is registered

A strange thing though. I called my land line from the Freerunner, hang up the Freerunner without picking up the land phone but it wouldn't stop ringing even though the dialing application was closed on the Freerunner.

@willk: Then please attach the log messages I have asked for. Also what does "not registered" mean? No indication in the illume gsm gadget? Trying to make a call gives an error message? What is the reason it states?

comment:39 Changed 6 years ago by zecke

@KenSentMe?: Could you please copy some more of the init sequence? Feel free to remove the PDU listing and the addressbook, just indicate you removed them. thanks.

Changed 6 years ago by wilk

Changed 6 years ago by wilk

comment:40 follow-up: ↓ 41 Changed 6 years ago by wilk

Here they are.

By "not registered" I mean that nothing is displayed in the gsm gadget, the signal strength is 1 bar. When trying to call, I get "No phone call is possible. Reasons GSM Phone is not registered. No network.

When I'm lucky and it's registered, the name of my provider (bouygtel) is displayed in the gadget and I have the max number of bars.

comment:41 in reply to: ↑ 40 ; follow-up: ↓ 42 Changed 6 years ago by zecke

Replying to wilk:

Here they are.

By "not registered" I mean that nothing is displayed in the gsm gadget, the signal strength is 1 bar. When trying to call, I get "No phone call is possible. Reasons GSM Phone is not registered. No network.

Could you please paste a bit more of the init sequence? Do you have a phonebook in your device?

comment:42 in reply to: ↑ 41 ; follow-up: ↓ 43 Changed 6 years ago by wilk

Replying to zecke:

Could you please paste a bit more of the init sequence?

How do I do that ? dmesg of something ?

Do you have a phonebook in your device?

I didn't in this image since I can't use it as a phone. If copying the one I have in the qtopia image works I can give you a logread with a phone book.

comment:43 in reply to: ↑ 42 ; follow-up: ↓ 45 Changed 6 years ago by zecke

Replying to wilk:

Replying to zecke:

Could you please paste a bit more of the init sequence?

How do I do that ? dmesg of something ?

Just wait a little longer and then execute logread (just make sure it does not suspend inbetween). The code is waiting for a %CSTAT RDY: 1 before it starts doing some SIM init... so the question is if that is ever coming or not coming at all..

Do you have a phonebook in your device?

I didn't in this image since I can't use it as a phone. If copying the one I have in the qtopia image works I can give you a logread with a phone book.

I mean can you store contacts on the SIM card? I wait for %CSTAT RDY and it is not part of your log and I wonder if it was printed at all.

Changed 6 years ago by KenSentMe

Logread without suspend, just starting the phone with Zecke packages

Changed 6 years ago by KenSentMe

Logread with pin, suspend, call in and call out with Zecke repo

comment:44 follow-up: ↓ 47 Changed 6 years ago by KenSentMe

@Zecke: i hope i added the right logread(s) this time. I waited a few minutes both times to get a full logread, but it seems that %CSTAT RDY isn't printed at all.

Changed 6 years ago by wilk

forgot to remove some personal data...

comment:45 in reply to: ↑ 43 Changed 6 years ago by wilk

Replying to zecke:

Just wait a little longer and then execute logread (just make sure it does not suspend inbetween). The code is waiting for a %CSTAT RDY: 1 before it starts doing some SIM init... so the question is if that is ever coming or not coming at all..

I just uloaded it. No CSTAT RDY coming after 6 minutes.


I mean can you store contacts on the SIM card? I wait for %CSTAT RDY and it is not part of your log and I wonder if it was printed at all.

I can read the contacts already on the SIM, add contacts to the phone but the export to SIM doesn't seem to do anything.

comment:46 follow-up: ↓ 49 Changed 6 years ago by friede

I had all the connection problems with Om2008.8.
(the old image and qtopia connected)

I did a bitbake -c patch qtopia-phone-x11 and a
bitbake -c build qtopia-phone-x11
I replaced the git/devices/ficgta01/src/plugins/phonevendors/ficgta01
directory with the original one from qtopia.
Generated a new libficgta01vendor.so
Copied it to my freerunner. Did a:
cp libficgta01vendor.so /opt/Qtopia/plugins/phonevendors/ficgta01vendor.so
Rebooted the telephone and it connects - a bit slow - to "Orange FR"

You find a copy of the sources, logfiles before and after and the .so at:
http://friede.sh/fr

comment:47 in reply to: ↑ 44 Changed 6 years ago by zecke

Replying to KenSentMe:

@Zecke: i hope i added the right logread(s) this time. I waited a few minutes both times to get a full logread, but it seems that %CSTAT RDY isn't printed at all.

Okay, so http://git.openmoko.org/?p=qtopia.git;a=commit;h=8380a8534e802c152c160e6699634ad9c66b1951 is evil for you. Our TI Calypso documentation does not specify which stats and when they are generated. So with your SIM Card RDY and EONS with "1" never comes by...

comment:48 Changed 6 years ago by KenSentMe

No, i only get these messages:

"%CSTAT: EONS, 0"
"%CSTAT: PHB, 0"
"%CSTAT: SMS, 1"
"%CSTAT: PHB, 1"

You can also contact me on irc for more direct testing, if you want.

comment:49 in reply to: ↑ 46 ; follow-ups: ↓ 50 ↓ 51 Changed 6 years ago by wilk

Replying to friede:

cp libficgta01vendor.so /opt/Qtopia/plugins/phonevendors/ficgta01vendor.so

more like
cp libficgta01vendor.so /opt/Qtopia/plugins/phonevendors/libficgta01vendor.so

It's working for me too. Thanks a lot !

comment:50 in reply to: ↑ 49 Changed 6 years ago by friede

Replying to wilk:

Replying to friede:

cp libficgta01vendor.so /opt/Qtopia/plugins/phonevendors/ficgta01vendor.so

more like
cp libficgta01vendor.so /opt/Qtopia/plugins/phonevendors/libficgta01vendor.so

Yes it is:
root@om-gta02:/opt/Qtopia/plugins/phonevendors# ls -l
-rwxr-xr-x 1 root root 131756 Aug 21 06:54 libficgta01vendor.so
-rwxr-xr-x 1 root root 85936 Jan 1 1970 libficgta01vendor.so.org

Changed 6 years ago by KenSentMe

Logread after suggestion by friede. Calling seems to work now!

comment:51 in reply to: ↑ 49 ; follow-up: ↓ 52 Changed 6 years ago by wilk

Replying to wilk:

It's working for me too. Thanks a lot !

I spoke too soon.

The phone gets registered in no time (carrier name appears, 4 bars...) but most calls get disconnected as soon as I dial out. I attached a logread where a call to number 660 (special number from my carrier) but all the others (680 : another special one and regular 10 digits numbers) failed in the same manner.

Changed 6 years ago by wilk

logread with friede fix proposal. Registration ok but most calls fail.

comment:52 in reply to: ↑ 51 ; follow-up: ↓ 55 Changed 6 years ago by friede

Replying to wilk:

I spoke too soon.

The phone gets registered in no time (carrier name appears, 4 bars...) but most calls get disconnected as soon as I dial out. I attached a logread where a call to number 660 (special number from my carrier) but all the others (680 : another special one and regular 10 digits numbers) failed in the same manner.

I diffed the two trees. The qtopia-phone used in the freerunner and the qtopia snapshot.
Even after removing all files ending in html, svg, png and gif all */help */examples
*/sounds */skins the diff -Naur is nearly 50MB. The difference between the devices trees
is 460KB. The differences are mainly technical. But thats how I found the differences.

Whoever ported qtopia-phone has to go through this huge heap.

comment:53 Changed 6 years ago by friede

Using the Qtoppia ficgta01 is running stable with the kernel and file system made from testing:
org.openmoko.asu.testing.

It is not working with the org.openmoko.asu.dev kernel and filesystem from
this morning. That is - I suppose - due to mayor changes in the suspend scheme.
It is even not possible anymore to switch suspend off....

comment:54 follow-up: ↓ 56 Changed 6 years ago by zecke

Replying to wilk:

Replying to friede:

It's working for me too. Thanks a lot !

Just a small advice. You trade GSM registration fixes with other bugs. From my memory you should be able see phantom calls in the callscreen now and various other things. In short you are leaving the track and any GSM related issue might be due the modifications that were made by hand. This means the output of opkg list_installed gets meaningless and bug handling very hard.

comment:55 in reply to: ↑ 52 ; follow-up: ↓ 58 Changed 6 years ago by zecke

Replying to friede:

Replying to wilk:

I spoke too soon.

The phone gets registered in no time (carrier name appears, 4 bars...) but most calls get disconnected as soon as I dial out. I attached a logread where a call to number 660 (special number from my carrier) but all the others (680 : another special one and regular 10 digits numbers) failed in the same manner.

I diffed the two trees. The qtopia-phone used in the freerunner and the qtopia snapshot.
Even after removing all files ending in html, svg, png and gif all */help */examples
*/sounds */skins the diff -Naur is nearly 50MB. The difference between the devices trees
is 460KB. The differences are mainly technical. But thats how I found the differences.

Whoever ported qtopia-phone has to go through this huge heap.

Check our git repository at git.openmoko.org. So the pure diff is so big because a lot of files got renamed and moved to different locations.....

comment:56 in reply to: ↑ 54 Changed 6 years ago by wilk

Replying to zecke:

Replying to wilk:

Just a small advice. You trade GSM registration fixes with other bugs.

As I wrote in comment https://docs.openmoko.org/trac/ticket/1766?replyto=54#comment:51 the fix doesn't work for me, I'm back on the right track with the regular asu image.

comment:57 follow-up: ↓ 59 Changed 6 years ago by KenSentMe

I deleted the .so file from the /opt/Qtopia/plugins/phonevendors folder, but my phone is able to make calls right after entering the pin. Does this mean i'm havent reverted to the situation before the solution by friede?

comment:58 in reply to: ↑ 55 Changed 6 years ago by friede

Replying to zecke:

Whoever ported qtopia-phone has to go through this huge heap.

Check our git repository at git.openmoko.org. So the pure diff is so big because a lot of files got renamed and moved to different locations.....

I checke out your git repository. I got no idea where things were going wrong. So I diffed.
I tried. And it worked. I was not aware that somebody would use my test work around
as a "solution". This was only a hint.

comment:59 in reply to: ↑ 57 Changed 6 years ago by friede

Replying to KenSentMe:

I deleted the .so file from the /opt/Qtopia/plugins/phonevendors folder, but my phone is able to make calls right after entering the pin. Does this mean i'm havent reverted to the situation before the solution by friede?

Move the old back and reboot

Changed 6 years ago by Treviño

Fixed libficgta01vendor.so - attached for testing purposes

comment:60 Changed 6 years ago by Treviño

I've just compiled the libficgta01vendor.so from qtopia.git commit 9971aa8a69e31057b0f02af43b4c20333a77f13e and it seems to work well here.

Try it moving it in /opt/Qtopia/plugins/phonevendors/libficgta01vendor.so and report!

comment:61 follow-up: ↓ 63 Changed 6 years ago by Treviño

After few minutes of usage, I've noticed that using this libficgta01vendor.so I can't get my Freerunner vibrate anymore on receiving a call.

I remember that I was able to, after a fresh-install of the Rasterman image (the few times I was able to register to my GSM network).

This is quite OT, but before of opening a new ticket I'd like to get some confirmations from other users!

comment:62 follow-up: ↓ 64 Changed 6 years ago by zecke

Please. Do not attach binaries, do not provide plain binaries, do not encourage people to use them (unless in private to debug an issue). Once you ask people to install certain binaries the "myth" will settle and opkg list_installed will be useless and I will not read bug reports anymore as I have no idea what the user is actually using... It is a path I'm not willing to follow (in my spare time).

There is a reason I kicked a Qtopia build, waited five hours for it to complete and are now uploading it through GPRS...so please just wait upgraded packages should be uploaded by tomorrow morning.

comment:63 in reply to: ↑ 61 ; follow-up: ↓ 65 Changed 6 years ago by zecke

Replying to Treviño:

This is quite OT, but before of opening a new ticket I'd like to get some confirmations from other users!

Okay. before opening a new ticket. Make sure that you can make it vibrate using echo on the sysfs vibrator file...echo 255 > /sys/class/leds/neo1973\:vibrator/brightness and that your ringprofile does not say silent. But then there was no change in Openmoko's Qtopia's copy that could have broken vibrators... Feel free to create a new ticket to track the issue. :)

comment:64 in reply to: ↑ 62 Changed 6 years ago by Treviño

Replying to zecke:

Please. Do not attach binaries, do not provide plain binaries, do not encourage people to use them (unless in private to debug an issue). Once you ask people to install certain binaries the "myth" will settle and opkg list_installed will be useless and I will not read bug reports anymore as I have no idea what the user is actually using... It is a path I'm not willing to follow (in my spare time).

Sorry for this... I thought to help :/

There is a reason I kicked a Qtopia build, waited five hours for it to complete and are now uploading it through GPRS...so please just wait upgraded packages should be uploaded by tomorrow morning.

Ok, I'll try them. Are they on the om2008.8-testing or om2008.8-dev repo?

comment:65 in reply to: ↑ 63 Changed 6 years ago by Treviño

Replying to zecke:

Okay. before opening a new ticket. Make sure that you can make it vibrate using echo on the sysfs vibrator file...echo 255 > /sys/class/leds/neo1973\:vibrator/brightness and that your ringprofile does not say silent. But then there was no change in Openmoko's Qtopia's copy that could have broken vibrators... Feel free to create a new ticket to track the issue. :)

Vibrator was working... Maybe I had an incompatibility between qtopia packages. I've updated all my qtopia set to 9971aa8a69e31057b0f02af43b4c20333a77f13e (using your packages) and vibrator works.

I can also confirm that this fix is in the "works for me" state :P

comment:66 follow-up: ↓ 67 Changed 6 years ago by friede

I build both org.openmoko.asu.dev org.openmoko.asu.testing with your fixes.

I tried it with org.openmoko.asu.testing it works perfectly. I did not test SMS.
It does not show the provider.

With org.openmoko.asu.dev there are major problems with suspend - the "Power Manager".
It is not possible to suspend Suspend.
The FR goes sometimes deep sleeping before it registers. It registers after waking up.
In a call the FR suspends... and cuts the call.
It sometimes shows the provider.

comment:67 in reply to: ↑ 66 ; follow-up: ↓ 68 Changed 6 years ago by wilk

Replying to friede:

I build both org.openmoko.asu.dev org.openmoko.asu.testing with your fixes.

I'm a little confused about the feeds at the moment. Are you talking about the ones from http://people.openmoko.org/~zecke/ ?

comment:68 in reply to: ↑ 67 Changed 6 years ago by friede

Replying to wilk:

Replying to friede:

I build both org.openmoko.asu.dev org.openmoko.asu.testing with your fixes.

I'm a little confused about the feeds at the moment. Are you talking about the ones from http://people.openmoko.org/~zecke/ ?

No, I build them myself with MokoMakefile? :
http://wiki.openmoko.org/wiki/MokoMakefile

comment:69 Changed 6 years ago by wilk

Before undertaking building the complete software, I tried one last time with the updates from http://people.openmoko.org/~zecke/ (testing, not dev) and it seems to have fixed the registration/dropped calls problems.

The phone gets registered everytime, I can make, receive calls, send/receive a SMS (to myself at least), I can suspend, wake up with the sound working on a call.. What more could you ask ?

Thanks zecke for your work on this issue.

comment:70 follow-up: ↓ 73 Changed 6 years ago by self

For me it's a bit better but not perfect. When using zecke's -dev or -testing repository, the dialer becomes really slugish. That seems to happen only after the FR is registered to the network, before the dialer application works fine.

comment:71 Changed 6 years ago by dexteruk

Updated this evening with the feed from zecke Saturday 23rd and the GSM is now working, i get the pin and i get signal, on another SIM with NO PIN which i have never got signal this is also working now. Thanks Zecke great work.

comment:72 Changed 6 years ago by zecke

  • Status changed from assigned to in_testing

Okay, known to some. My -dev and -testing feed contains upgraded Qtopia packages that should fix that issue (RDY not coming for some people... I'm sorry for having created that in the first place in an attempt to fix another issue, but %CSTAT is underdocumented...)

comment:73 in reply to: ↑ 70 ; follow-up: ↓ 74 Changed 6 years ago by zecke

Replying to self:

For me it's a bit better but not perfect. When using zecke's -dev or -testing repository, the dialer becomes really slugish.

What does sluggish mean?

comment:74 in reply to: ↑ 73 ; follow-up: ↓ 75 Changed 6 years ago by self

Replying to zecke:

Replying to self:

For me it's a bit better but not perfect. When using zecke's -dev or -testing repository, the dialer becomes really slugish.

What does sluggish mean?

clicking a number takes about 40 seconds until it is displayed...

comment:75 in reply to: ↑ 74 ; follow-up: ↓ 77 Changed 6 years ago by zecke

Replying to self:

What does sluggish mean?

clicking a number takes about 40 seconds until it is displayed...

What does the output of top say? any chance that qpe is "just" scanning the sd card?

comment:76 Changed 6 years ago by self

possibly .. I didn't know that qpe is scanning the sd card. but there were about 200 MB OpenStreetMap? tiles on which could keep anybody busy who tries to scan it. I will check without SD card

comment:77 in reply to: ↑ 75 ; follow-up: ↓ 78 Changed 6 years ago by self

Replying to zecke:

Replying to self:

What does sluggish mean?

clicking a number takes about 40 seconds until it is displayed...

What does the output of top say? any chance that qpe is "just" scanning the sd card?

without SD card, everything is fine. Why is the dialer scanning the SD card ? is this a known issue or shall I open a seperate bugreport.

Anyway: Lots of thanks for fixing the GSM issue!

comment:78 in reply to: ↑ 77 Changed 6 years ago by zecke

Replying to self:

Replying to zecke:

Replying to self:

What does sluggish mean?

clicking a number takes about 40 seconds until it is displayed...

What does the output of top say? any chance that qpe is "just" scanning the sd card?

without SD card, everything is fine. Why is the dialer scanning the SD card ? is this a known issue or shall I open a seperate bugreport.

The dialer is provided by the qpe process which implements many services of the Qtopia world. These include launching of Qtopia apps, Inputmethod, powering the Document Model. For the Document Model it needs to scan media. See http://lists.openmoko.org/pipermail/community/2008-August/026072.html on how you can forbid it. The only thing that Om could change is to forbid scanning of media (this would mean the Qtopia media player would not be able to play mp3 from the SD Card...) anything else should be addressed to the original creator of the code (Nokia/Trolltech?).

comment:79 follow-up: ↓ 80 Changed 6 years ago by Yorick

I have downloaded the 2008.8-upgrade and I can recieve calls, but not make them.

comment:80 in reply to: ↑ 79 Changed 6 years ago by zecke

Replying to Yorick:

I have downloaded the 2008.8-upgrade and I can recieve calls, but not make them.

Guys, I'm slowly getting bored asking the same questions ever and ever again...

If gsm is not working:

  • Attach the output of logread. It is that simple.
  • If something does not work say what is not working. "I can not make calls". So can't you make calls because of cosmic energy, Qtopia telling you something, the calls get disconnected before they are connected. Be precise...

comment:81 follow-up: ↓ 82 Changed 6 years ago by Yorick

my appologies:
how do I find the "logread"?
I didn't put the exact details down because I thought I had already posted the outcome previously, but I seem to be mistaken;
the qtopia dialer gives me the well know "no network, not registered" error message. The phone was registered and I could receive calls.

I updated the 2008-upgrade image (I have not tampered with the feeds so only the standard 2008.8 feeds) and rebooted the phone. Then I got the other know error that the pin dialog doesn't show up. After a minute or 3 it did show up (while the openmoko-dialer2 was opened) and i entered my sim. Afterwards I was also prompted by the qtopia-dialer to enter my pin (which I also did)
My GSM signal was "yellow" (I use the illume tango theme), although every phone gets "full five bars" at that location.
I could always make phonecalls with openmoko-dialer2 in te beginning (tested +/- 10 times) the qtopia-dialer sometimes just stated "dialing" and I got no sound output whatsoever (3 out of 10 times).
After this the GMS signal was in the "red", and both openmoko-dialer2 and qtopia-dialer just stated "dialing" but I got no output when trying to call.

comment:82 in reply to: ↑ 81 Changed 6 years ago by KenSentMe

Replying to Yorick:

my appologies:
how do I find the "logread"?

You can run the logread command in terminal (best done when connected via USB and SSH) after you try to make a call or some other error occurs. The command displays all system messages. You put them in a textfile and attach them to this ticket

comment:83 follow-up: ↓ 84 Changed 6 years ago by zecke

@yorrick: So you have both Qtopia and gsmd installed? (Also attach the output of opkg list_installed). Well this is not supported and will not work.. which brings #1827 to the table.

comment:84 in reply to: ↑ 83 Changed 6 years ago by Yorick

Replying to zecke:

@yorrick: So you have both Qtopia and gsmd installed? (Also attach the output of opkg list_installed). Well this is not supported and will not work.. which brings #1827 to the table.

Since I didn't get any luck with the qtopia dialer I installed the openmoko-dialer2
So I should delete one of the dialers?

I rebooted 2008.8 and the PIN dialog doesn't show up so when I try the qtopia-dialer it says of course no network...

After opening openmoko-dialer2 I try to call and get the error message "Method "Dial" with signature "s" on interface "org.openmoko.PhoneKit?.Dialer" doesn't exist". Immediatly after this error message I get a new sms message (strange, no? i'm still not registered) and immediatly after this message the pin dialog of openmoko-dialer2 shows up.
My network icon says I have good reception (green) but when I press Dial, it says "Dialer Error: No Network".

I close openmoko-dialer2.

I open the qtopia-messages and I see no new message...

I close qtopia-messages.

I open qtopia-dialer
I dial my number
It says (Dialing) but I hear no sound and my speakers also do not respond like they do when I dial.

I press disconnect.

I once again try openmoko-dialer2 in vain.

Logread and opkg list_installed is attached

Changed 6 years ago by Yorick

logread 2008.8-upgraded

Changed 6 years ago by Yorick

list_installed 2008.8-upgrade

comment:85 Changed 6 years ago by Yorick

Update:

I uninstalled openmoko-dialer2
rebooted
No pin-dialog
opened qtopia-dialer
dialed and got of course the no network not registered thing
waited....
re-opened qtopia-dialer
dialed
same result
waited....
waited....
waited....
gave it up and did logread and lsit_installed

(I googled but couldn't find the commands to force the PIN dialog...)

Changed 6 years ago by Yorick

logread 2008.8 only qtopia-dialer

Changed 6 years ago by Yorick

list_installed 2008.8 only qtopia-dialer

comment:86 follow-up: ↓ 87 Changed 6 years ago by zecke

@Yorrick: Almost certainly your issue is something else and from the fact you installed gsmd and qpe... so please create another ticket and leave this one alone.

comment:87 in reply to: ↑ 86 Changed 6 years ago by zecke

Replying to zecke:

@Yorrick: Almost certainly your issue is something else and from the fact you installed gsmd and qpe... so please create another ticket and leave this one alone.

And yes... after reading your logfile and looking at your installed packages... you have gsmd AND qpe running. And I really get bored with that. How often do I need to write in tickets and mailinglists that this is not going to work? I even pointed you to #1827 and you are likely to have seen #1765 and #1798 when complaining about the PIN. So please do your homework before consuming engineering time. Every minute I have to do this is lost fixing real issues...

comment:88 Changed 6 years ago by gromgull

As far as I can see - no way to add myself to cc without commenting here?
(i.e. same problem here)

comment:89 follow-up: ↓ 90 Changed 6 years ago by olberger

Updated to todays stable updates. I boot with sleep off in settings, and I get a pin dialog which disappears quickly, without letting me time to input the PIN, and I get this from logread :
Sep 4 08:16:19 om-gta02 user.notice root: QDSync : QDSyncTask::QDSyncTask
Sep 4 08:16:29 om-gta02 user.notice root: AtChat? : N : "%CSTAT: PHB, 0"
Sep 4 08:16:29 om-gta02 user.notice root: AtChat? : F : "ERROR"
Sep 4 08:16:29 om-gta02 user.notice root: AtChat? : T : "Z"
Sep 4 08:16:30 om-gta02 user.notice root: AtChat? : T : "AT+CFUN?"
Sep 4 08:16:30 om-gta02 user.notice root: AtChat? : F : "+CFUN: 1"
Sep 4 08:16:30 om-gta02 user.notice root: AtChat? : F : "OK"
Sep 4 08:16:30 om-gta02 user.notice root: AtChat? : T : "AT+CIMI"
Sep 4 08:16:30 om-gta02 user.notice root: AtChat? : F : "ERROR"
Sep 4 08:16:30 om-gta02 user.notice root: AtChat? : T : "AT+CPBS=?"
Sep 4 08:16:30 om-gta02 user.notice root: AtChat? : F : "+CPBS: ("EN","BD","FD","DC","LD","RC","LR","MT","AD","SM","SD","MC","LM","AF","ON","UD")"
Sep 4 08:16:30 om-gta02 user.notice root: AtChat? : F : "OK"
Sep 4 08:16:30 om-gta02 user.notice root: AtChat? : T : "AT+CMEE=1"
Sep 4 08:16:30 om-gta02 user.notice root: AtChat? : F : "OK"
Sep 4 08:16:30 om-gta02 user.notice root: AtChat? : T : "AT+CPIN?"
Sep 4 08:16:40 om-gta02 user.notice root: AtChat? : N : "%CSTAT: PHB, 0"
Sep 4 08:16:40 om-gta02 user.notice root: AtChat? : F : "+CME ERROR: 10"
Sep 4 08:16:40 om-gta02 user.notice root: AtChat? : T : "
Z"
Sep 4 08:16:41 om-gta02 user.notice root: AtChat? : T : "AT+CPBS="SM""
Sep 4 08:16:41 om-gta02 user.notice root: AtChat? : F : "OK"
Sep 4 08:16:41 om-gta02 user.notice root: AtChat? : T : "AT+CPBR=?"
Sep 4 08:16:41 om-gta02 user.notice root: AtChat? : F : "+CME ERROR: 100"
Sep 4 08:16:41 om-gta02 user.notice root: AtChat? : T : "AT+CIMI"
Sep 4 08:16:41 om-gta02 user.notice root: AtChat? : F : "+CME ERROR: 13"
Sep 4 08:16:43 om-gta02 user.notice root: AtChat? : T : "AT+CIMI"
Sep 4 08:16:43 om-gta02 user.notice root: AtChat? : F : "+CME ERROR: 13"
Sep 4 08:16:43 om-gta02 user.notice root: AtChat? : T : "AT+CPIN?"
Sep 4 08:16:45 om-gta02 user.notice root: AtChat? : N : "%CSTAT: PHB, 0"
Sep 4 08:16:45 om-gta02 user.notice root: AtChat? : F : "+CPIN: SIM PIN"
Sep 4 08:16:45 om-gta02 user.notice root: AtChat? : F : "OK"
Sep 4 08:16:45 om-gta02 user.notice root: AtChat? : T : "AT+CIMI"
Sep 4 08:16:45 om-gta02 user.notice root: AtChat? : F : "+CMS ERROR: 311"
Sep 4 08:16:47 om-gta02 user.notice root: AtChat? : T : "AT+CIMI"
Sep 4 08:16:47 om-gta02 user.notice root: AtChat? : F : "+CMS ERROR: 311"
Sep 4 08:16:50 om-gta02 user.notice root: AtChat? : T : "AT+CIMI"
Sep 4 08:16:50 om-gta02 user.notice root: AtChat? : F : "+CMS ERROR: 311"
Sep 4 08:16:52 om-gta02 user.notice root: AtChat? : T : "AT+CIMI"
Sep 4 08:16:52 om-gta02 user.notice root: AtChat? : F : "+CMS ERROR: 311"
... followed by repeated CIMI/311 2 lines...

Hope this helps.

comment:90 in reply to: ↑ 89 Changed 6 years ago by zecke

Replying to olberger:

Updated to todays stable updates. I boot with sleep off in settings, and I get a pin dialog which disappears quickly, without letting me time to input the PIN, and I get

No idea. The log looks fishy. How many qpe processes did you run? Specially the first AT+CPIN? the lack of a reply, AT+CIMI and +CMS ERROR, the early asking for the phonebook... really fishy...Most likely something else, if the issue persists file a new ticket.

comment:91 Changed 6 years ago by regina_kim

dexteruk ~!
please check this ticket.

comment:92 Changed 6 years ago by zeroedout

I have a similar issue with FDOM 20080913 (rootfs & kernel). Sometimes the freerunner will receive a call or txt msgs, but I cannot make calls or answer a call. When making a call, it just stays at the dialing screen, no matter how long I wait (let it sit for 30 mins). I have not seen it reported by other FDOM users, so maybe it's an issue with the network i'm with (Fido)? Only qpe (not gsmd) is installed.

comment:93 Changed 6 years ago by dan

OK, I have somehow the same issue:

  • the phone registers with the network (ROGERS)
  • I can receive calls
  • If I try to make a call, it says "Disconnected"
  • After that, I cannot receive calls anymore

I downloaded the Om2008.8-gta02-20081014.rootfs.jffs2 image. I thought that the fix that zecke is talking about is already in. It seems not?

I also see that the fixes in ~zecke dissapeared in the meantime. Is there anything I can do now?

I attach my logread dump.

Changed 6 years ago by dan

comment:94 Changed 6 years ago by regina_kim

  • Status changed from in_testing to closed
  • HasPatchForReview unset
  • Resolution set to fixed

Flash : 2008.10.28
Update: 2008.10.29

it does not happen.

comment:95 Changed 6 years ago by wendy_hung

  • Status changed from closed to reopened
  • Keywords Signal,Om2008.11 added; Signal removed
  • Reproducible set to sometimes
  • Resolution fixed deleted

Hi, now it happen again......

newest test/update date: 2008.11.17
but it's not happen all the time, and even with same phone company's SIM will have different result.

I think it's very important so put into the Om2008.11 list.

comment:96 Changed 6 years ago by wendy_hung

  • Status changed from reopened to assigned
  • Owner changed from zecke to erin_yueh

comment:97 Changed 6 years ago by erin_yueh

  • Status changed from assigned to in_testing

please re-verify it by tomorrow daily build (2008/11/19), thanks!

comment:98 Changed 6 years ago by Treviño

I can confirm this too...

I had a libficgta01vendor.so built against git 9c8c832f77f4f24adc5ad17f5031016ce8562a34 and I noticed the issue.

Reverting to eea26c74b18007142d7f02cb5633dffbfb63bd7a fixed it, also if I lost the optimization team's time improvements...

comment:99 Changed 6 years ago by wendy_hung

  • Status changed from in_testing to closed
  • Resolution set to fixed

test/update date: 2008.11.20

that fixed! thanks!

just take some time to get the signal, boot time 1:25 need another 40 seconds to get signal.

Note: See TracTickets for help on using tickets.